| EVShield v1.3 EVShield Library Reference by mindsensors.com

Public Member Functions | List of all members
EVs_NXTTouch Class Reference

This class interfaces with LEGO NXT Touch sensor attached to EVShield. More...

`#include <EVs_NXTTouch.h>`

Inheritance diagram for EVs_NXTTouch:

## Public Member Functions
bool | init (EVShield *shield, SH_BankPort bp)
bool | isPressed ()
Public Member Functions inherited from EVShieldAGS
| EVShieldAGS ()
| EVShieldAGS (EVShield *shield, SH_BankPort bp)
bool | setType (uint8_t type)
int | readRaw ()
bool | init (EVShield *shield, SH_BankPort bp)

## Additional Inherited Members
Public Attributes inherited from EVShieldAGS
EVShield * | mp_shield
SH_BankPort | m_bp

## Detailed Description

This class interfaces with LEGO NXT Touch sensor attached to EVShield.

## Member Function Documentation

## § init()

bool EVs_NXTTouch::init | ( | EVShield * | shield,
|  | SH_BankPort | bp
| ) |  |

check if the touch sensor is pressed

The documentation for this class was generated from the following files:

- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_NXTTouch.h
- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_NXTTouch.cpp